Chuyển đến nội dung chính
POST
https://api-oms.verolabs.co
/
api
/
v1
/
orders
/
ioi
Submit an IOI
curl --request POST \
  --url https://api-oms.verolabs.co/api/v1/orders/ioi \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ioi_id": "<string>",
  "ioi_ref_id": "<string>",
  "ioi_trans_type": "<string>",
  "symbol": "<string>",
  "side": "<string>",
  "ioi_qty": 123,
  "price": "<string>",
  "contact_no": "<string>",
  "repo_haircut_ratio_mantissa": 123,
  "collateral_value_mantissa": 123
}
'
{
  "isSuccess": true,
  "detail": "<string>",
  "data": {
    "msg_type": "<string>",
    "request_id": "<string>",
    "orig_request_id": "<string>",
    "client_id": "<string>",
    "hft_gateway": "<string>",
    "source_service": "<string>",
    "source_sequence": 123
  }
}

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Nội dung

application/json

IOI advertisement request fields.

IOIRequest schema.

ioi_id
string
bắt buộc

Required.

ioi_ref_id
string

Referenced IOI identifier.

ioi_trans_type
string

FIX 28: N/C/R.

symbol
string

Trading symbol.

side
string

Order or quote side.

ioi_qty
integer<int64>

IOI quantity.

price
string

Price value for the request or record.

contact_no
string

Contact number.

repo_haircut_ratio_mantissa
integer<int64>

Repo haircut ratio represented as a mantissa integer.

collateral_value_mantissa
integer<int64>

Collateral value represented as a mantissa integer.

Phản hồi

Accepted

AckResponse schema.

isSuccess
boolean

Indicates whether the operation completed successfully.

Ví dụ:

true

detail
string

Detailed information for the record.

data
object

Ack schema.